
Redmine - Patch #36005

Adopt 2FA emails to new Mailer interface

2021-10-18 14:30 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Description

The 2FA mechanism stills uses the superseded `Mailer.security_notification().deliver` interface, this patch changes the 2FA

mechanism to the new interface.

Related issues:

Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

Has duplicate Redmine - Feature #39218: Send 2FA security notifications async... Closed

Associated revisions

Revision 21279 - 2021-11-13 10:24 - Go MAEDA

Adopt 2FA emails to new Mailer interface (#36005).

Patch by Felix Schäfer.

History

#1 - 2021-10-18 14:31 - Felix Schäfer

- File 36005.patch added

#2 - 2021-10-19 04:10 - Go MAEDA

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#3 - 2021-11-13 10:22 - Go MAEDA

- Related to Feature #26791: Send individual notification mails per mail recipient added

#4 - 2021-11-13 10:25 - Go MAEDA

- Subject changed from Adapt 2FA emails to new Mailer interface to Adopt 2FA emails to new Mailer interface

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix. Thank you.

#5 - 2023-10-24 01:08 - Mischa The Evil

- Has duplicate Feature #39218: Send 2FA security notifications asynchronously added

Files

36005.patch 2.14 KB 2021-10-18 Felix Schäfer
